<?php require_once "sfdPageLoader.php"; 

$editInfo=strip_tags(@$_POST['editInfo']);
$name=addslashes(strip_tags(@$_POST['name']));
$email=addslashes(strip_tags(@$_POST['email']));
$password=$Func->faNumToEn(strip_tags(@$_POST['password']));

if($editInfo==1)
{

	if($email!="")
	{
		if (!filter_var($email, FILTER_VALIDATE_EMAIL)) 
		{
			$Msg->error("ساختار ایمیل وارد شده صحیح نیست");
			header("location:editSfdUserForm.php");
			exit;
		}
		
		$sfd_user=$DB->query("SELECT * FROM {$DB->tablePrefix}sfd_users WHERE email=<bind>$email</bind> AND id<>'$SfdUserId' ",true);
		if(!empty($sfd_user->email))
		{
			$Msg->error("ایمیل $email از قبل ثبت شده است");
			header("location:editSfdUserForm.php");
			exit;
		}
	}
	else
	{
		$email=null;
	}
			
	
	$DB->update("{$DB->tablePrefix}sfd_users",['name'=>$name,'email'=>$email]," WHERE id='$SfdUserId' ");
	setcookie("nameUser",$name,0,"/");
	$Msg->success("تغییرات با موفقیت ثبت شد");
	
}



if($password!="")
{
    $passwordHash=password_hash(($password),PASSWORD_BCRYPT,['cost'=>12]);
    $DB->update("{$DB->tablePrefix}sfd_users",['password'=>$passwordHash]," WHERE  id='$SfdUserId' " );
    $Msg->success("رمز عبور به  صورت  $password تغییر کرد");
}

header("location:editSfdUserForm.php");
exit;
    
